Skip to main content
GET
/
api
/
v1
/
tasks
/
{id}
/
share
Get shared task (unauthenticated)
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/tasks/{id}/share
{
  "is_shared": true,
  "messages": [
    {}
  ],
  "read_only": true,
  "task": {
    "created_at": "2023-11-07T05:31:56Z",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "created_by": "jsmith@example.com",
    "is_isolated": true,
    "is_scheduled": true,
    "model": "<string>",
    "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "schedule_info": {
      "execution_count": 123,
      "schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "execution_info": {
        "execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "scheduled_at": "2023-11-07T05:31:56Z",
        "started_at": "2023-11-07T05:31:56Z",
        "completed_at": "2023-11-07T05:31:56Z"
      },
      "last_executed_at": "2023-11-07T05:31:56Z",
      "next_execution_at": "2023-11-07T05:31:56Z",
      "schedule_name": "<string>",
      "start_time": "<string>"
    },
    "secret_names": [
      "<string>"
    ],
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Path Parameters

id
string<uuid>
required

Task ID

Response

Shared task retrieved successfully

is_shared
boolean
required
messages
object[]
required
read_only
boolean
required
task
object
required